public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in sci-biology/velvet: velvet-0.7.62.ebuild ChangeLog
@ 2010-05-05  7:14 Andrey Kislyuk (weaver)
  0 siblings, 0 replies; 2+ messages in thread
From: Andrey Kislyuk (weaver) @ 2010-05-05  7:14 UTC (permalink / raw
  To: gentoo-commits

weaver      10/05/05 07:14:47

  Modified:             ChangeLog
  Added:                velvet-0.7.62.ebuild
  Log:
  Version bump
  (Portage version: 2.2_rc67/cvs/Linux x86_64)

Revision  Changes    Path
1.10                 sci-biology/velvet/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-biology/velvet/ChangeLog?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-biology/velvet/ChangeLog?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-biology/velvet/ChangeLog?r1=1.9&r2=1.10

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-biology/velvet/ChangeLog,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- ChangeLog	31 Oct 2009 17:57:32 -0000	1.9
+++ ChangeLog	5 May 2010 07:14:47 -0000	1.10
@@ -1,6 +1,11 @@
 # ChangeLog for sci-biology/velvet
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sci-biology/velvet/ChangeLog,v 1.9 2009/10/31 17:57:32 maekke Exp $
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/sci-biology/velvet/ChangeLog,v 1.10 2010/05/05 07:14:47 weaver Exp $
+
+*velvet-0.7.62 (05 May 2010)
+
+  05 May 2010; Andrey Kislyuk <weaver@gentoo.org> +velvet-0.7.62.ebuild:
+  Version bump
 
   31 Oct 2009; Markus Meier <maekke@gentoo.org> velvet-0.7.55.ebuild:
   amd64/x86 stable, bug #290936



1.1                  sci-biology/velvet/velvet-0.7.62.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-biology/velvet/velvet-0.7.62.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-biology/velvet/velvet-0.7.62.ebuild?rev=1.1&content-type=text/plain

Index: velvet-0.7.62.ebuild
===================================================================
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sci-biology/velvet/velvet-0.7.62.ebuild,v 1.1 2010/05/05 07:14:47 weaver Exp $

EAPI="2"

MY_P="${PN}_${PV}"

DESCRIPTION="A sequence assembler for very short reads"
HOMEPAGE="http://www.ebi.ac.uk/~zerbino/velvet/"
SRC_URI="http://www.ebi.ac.uk/~zerbino/velvet/${MY_P}.tgz"

LICENSE="GPL-2"
SLOT="0"
IUSE="-doc"
KEYWORDS="~amd64 ~x86"

DEPEND="doc? ( virtual/latex-base )"
RDEPEND=""

S="${WORKDIR}/${MY_P}"

src_prepare() {
	rm -rf "${S}"/third-party/zlib*
	sed -i -e '/\(CFLAGS\|LDFLAGS\|Z_LIB_DIR\|Z_LIB_FILES\) *= */d' \
		-e '1 a CFLAGS+= -Wall' -e '1 a LDFLAGS+= -lm -lz' \
		-e '/default :/ s/zlib//' -e '/color :/ s/zlib//' \
		-e '/obj:/ s/zlib//' -e '/obj_de:/ s/zlib//' \
		"${S}"/Makefile || die
	use doc || sed -i -e '/default :/ s/doc//' "${S}"/Makefile || die
	sed -i -e '/zlib.h/d' -e '1 i #include <zlib.h>' "${S}"/src/readSet.c || die
}

src_compile() {
	MAKE_XOPTS=""
	if [[ $VELVET_MAXKMERLENGTH != "" ]]; then MAKE_XOPTS="$MAKE_XOPTS MAXKMERLENGTH=$VELVET_MAXKMERLENGTH"; fi
	if [[ $VELVET_CATEGORIES != "" ]]; then MAKE_XOPTS="$MAKE_XOPTS CATEGORIES=$VELVET_CATEGORIES"; fi
	emake -j1 $MAKE_XOPTS || die
	emake -j1 $MAKE_XOPTS color || die
}

src_install() {
	dobin velvet{g,h,g_de,h_de} || die
	insinto /usr/share/${PN}
	doins -r contrib || die
	dodoc Manual.pdf CREDITS.txt
}

pkg_postinst() {
	elog "To adjust the MAXKMERLENGTH or CATEGORIES parameters as described in the manual,"
	elog "please set the variables VELVET_MAXKMERLENGTH or VELVET_CATEGORIES in your"
	elog "environment or /etc/make.conf, then re-emerge the package. For example:"
	elog "	VELVET_MAXKMERLENGTH=NN emerge [options] velvet"
}






^ permalink raw reply	[flat|nested] 2+ messages in thread

* [gentoo-commits] gentoo-x86 commit in sci-biology/velvet: velvet-0.7.62.ebuild ChangeLog
@ 2010-06-20 18:05 Kacper Kowalik (xarthisius)
  0 siblings, 0 replies; 2+ messages in thread
From: Kacper Kowalik (xarthisius) @ 2010-06-20 18:05 UTC (permalink / raw
  To: gentoo-commits

xarthisius    10/06/20 18:05:08

  Modified:             velvet-0.7.62.ebuild ChangeLog
  Log:
  Fix parallel build, respect FLAGS, fix --as-needed issues wrt bug 277938. Thanks Diego for reporting.
  (Portage version: 2.1.8.3/cvs/Linux x86_64)

Revision  Changes    Path
1.2                  sci-biology/velvet/velvet-0.7.62.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-biology/velvet/velvet-0.7.62.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-biology/velvet/velvet-0.7.62.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-biology/velvet/velvet-0.7.62.ebuild?r1=1.1&r2=1.2

Index: velvet-0.7.62.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-biology/velvet/velvet-0.7.62.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- velvet-0.7.62.ebuild	5 May 2010 07:14:47 -0000	1.1
+++ velvet-0.7.62.ebuild	20 Jun 2010 18:05:05 -0000	1.2
@@ -1,10 +1,12 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-biology/velvet/velvet-0.7.62.ebuild,v 1.1 2010/05/05 07:14:47 weaver Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-biology/velvet/velvet-0.7.62.ebuild,v 1.2 2010/06/20 18:05:05 xarthisius Exp $
 
 EAPI="2"
 
-MY_P="${PN}_${PV}"
+inherit eutils toolchain-funcs
+
+MY_P=${PN}_${PV}
 
 DESCRIPTION="A sequence assembler for very short reads"
 HOMEPAGE="http://www.ebi.ac.uk/~zerbino/velvet/"
@@ -18,32 +20,27 @@
 DEPEND="doc? ( virtual/latex-base )"
 RDEPEND=""
 
-S="${WORKDIR}/${MY_P}"
+S=${WORKDIR}/${MY_P}
 
 src_prepare() {
-	rm -rf "${S}"/third-party/zlib*
-	sed -i -e '/\(CFLAGS\|LDFLAGS\|Z_LIB_DIR\|Z_LIB_FILES\) *= */d' \
-		-e '1 a CFLAGS+= -Wall' -e '1 a LDFLAGS+= -lm -lz' \
-		-e '/default :/ s/zlib//' -e '/color :/ s/zlib//' \
-		-e '/obj:/ s/zlib//' -e '/obj_de:/ s/zlib//' \
-		"${S}"/Makefile || die
+	epatch "${FILESDIR}"/${P}-gentoo.diff
 	use doc || sed -i -e '/default :/ s/doc//' "${S}"/Makefile || die
-	sed -i -e '/zlib.h/d' -e '1 i #include <zlib.h>' "${S}"/src/readSet.c || die
 }
 
 src_compile() {
+	tc-export CC
 	MAKE_XOPTS=""
 	if [[ $VELVET_MAXKMERLENGTH != "" ]]; then MAKE_XOPTS="$MAKE_XOPTS MAXKMERLENGTH=$VELVET_MAXKMERLENGTH"; fi
 	if [[ $VELVET_CATEGORIES != "" ]]; then MAKE_XOPTS="$MAKE_XOPTS CATEGORIES=$VELVET_CATEGORIES"; fi
-	emake -j1 $MAKE_XOPTS || die
-	emake -j1 $MAKE_XOPTS color || die
+	emake $MAKE_XOPTS || die
+	emake $MAKE_XOPTS color || die
 }
 
 src_install() {
 	dobin velvet{g,h,g_de,h_de} || die
 	insinto /usr/share/${PN}
 	doins -r contrib || die
-	dodoc Manual.pdf CREDITS.txt
+	dodoc Manual.pdf CREDITS.txt ChangeLog || die
 }
 
 pkg_postinst() {



1.11                 sci-biology/velvet/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-biology/velvet/ChangeLog?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-biology/velvet/ChangeLog?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-biology/velvet/ChangeLog?r1=1.10&r2=1.11

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-biology/velvet/ChangeLog,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- ChangeLog	5 May 2010 07:14:47 -0000	1.10
+++ ChangeLog	20 Jun 2010 18:05:05 -0000	1.11
@@ -1,6 +1,11 @@
 # ChangeLog for sci-biology/velvet
 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sci-biology/velvet/ChangeLog,v 1.10 2010/05/05 07:14:47 weaver Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-biology/velvet/ChangeLog,v 1.11 2010/06/20 18:05:05 xarthisius Exp $
+
+  20 Jun 2010; Kacper Kowalik <xarthisius@gentoo.org> velvet-0.7.62.ebuild,
+  +files/velvet-0.7.62-gentoo.diff:
+  Fix parallel build, respect FLAGS, fix --as-needed issues wrt bug 277938.
+  Thanks Diego for reporting.
 
 *velvet-0.7.62 (05 May 2010)
 






^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2010-06-20 18:05 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2010-05-05  7:14 [gentoo-commits] gentoo-x86 commit in sci-biology/velvet: velvet-0.7.62.ebuild ChangeLog Andrey Kislyuk (weaver)
  -- strict thread matches above, loose matches on Subject: below --
2010-06-20 18:05 Kacper Kowalik (xarthisius)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox